import argparse
from pathlib import Path

from cryptography import x509
from cryptography.hazmat.primitives import serialization

def box_message():
	parser = argparse.ArgumentParser()
	parser.add_argument("recipient_certificate", type=Path, help="Path to the certificate of the recipient")
	parser.add_argument("sender_key", type=Path, help="Path to the private key of the sender")
	parser.add_argument("--sender-key-password", type="str", default=None, help="The password to the sender private key")
	parser.add_argument("message", type=Path, help="Path to the message to box")
	args = parser.parse_args()

	recipient_cert = _load_certificate(args.recipient_certificate)
	sender_key = _load_key(args.sender_key)




def _load_certificate(path: Path) -> x509.Certificate:
	with open(path, "rb") as f:
		return x509.load_pem_x509_certificate(f.read())

def _load_key(path: Path, password: str) -> EllipticCurvePrivateKey:
	with open(path, "rb") as f:
		return serialization.load_pem_private_key(f.read(), password)
